<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: /work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/CRC16_DATA32.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_bf7cd6b815c7cd0609c73b095c93e324.html">CMS_DAQ_if</a></li><li class="navelem"><a class="el" href="dir_fcee7a2d3c9c02321d79c0bdd5dd4499.html">5Gb</a></li><li class="navelem"><a class="el" href="dir_44ccdd1e469a2dae45cd1ce1f059498b.html">slink</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CRC16_DATA32.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- ########################################################################</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- CRC Engine RTL Design </span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">-- Copyright (C) www.ElectronicDesignworks.com </span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">-- Source code generated by ElectronicDesignworks IP Generator (CRC).</span><span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">-- Documentation can be downloaded from www.ElectronicDesignworks.com </span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">-- ******************************** </span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">--            License     </span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">-- ******************************** </span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">-- This source <span class="vhdlkeyword">file</span> may be used <span class="vhdlkeyword">and</span> distributed freely provided that this</span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">-- copyright notice, list <span class="vhdlkeyword">of</span> conditions <span class="vhdlkeyword">and</span> the following disclaimer <span class="vhdlkeyword">is</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">not</span> removed from the <span class="vhdlkeyword">file</span>.                    </span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">-- Any derivative work should contain this copyright notice <span class="vhdlkeyword">and</span> associated disclaimer.                    </span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">-- This source code <span class="vhdlkeyword">file</span> <span class="vhdlkeyword">is</span> provided &quot;AS IS&quot; <span class="vhdlkeyword">AND</span> WITHOUT ANY WARRANTY, </span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">-- without even the implied warranty <span class="vhdlkeyword">of</span> MERCHANTABILITY <span class="vhdlkeyword">or</span> FITNESS <span class="vhdlkeyword">FOR</span> A </span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">-- PARTICULAR PURPOSE.</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- ********************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">--           Specification </span><span class="keyword"></span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">-- ********************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">File</span> Name       : CRC16_DATA32.vhd    </span><span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">-- Description     : CRC Engine <span class="vhdlkeyword">ENTITY</span> </span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">-- Clock           : Positive Edge </span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">-- Reset           : Active High</span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">-- First Serial    : MSB </span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">-- Data <span class="vhdlkeyword">Bus</span> Width  : </span><span class="vhdllogic">32</span> bits <span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">-- Polynomial      : (</span><span class="vhdllogic">0</span> <span class="vhdllogic">2</span> <span class="vhdllogic">15</span> <span class="vhdllogic">16</span>)                   <span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">-- Date            : 27-Feb-2012  </span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">-- Version         : </span><span class="vhdllogic">1</span>.<span class="vhdllogic">0</span>        <span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">-- ########################################################################</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                    </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">IEEE </span>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span> ;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_arith.<span class="vhdlkeyword">all</span> ;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_unsigned.<span class="vhdlkeyword">all</span> ;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="code" href="classcrc__gen__usb__32to16.html">   36</a></span>&#160;<span class="keywordflow">ENTITY </span><a class="code" href="classcrc__gen__usb__32to16.html">crc_gen_usb_32to16</a> <span class="vhdlkeyword">IS</span> </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;   <span class="vhdlkeyword">PORT</span><span class="vhdlchar">(</span>           </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;           <span class="vhdlchar">clock</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC</span>; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;           <span class="vhdlchar">reset</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC</span>; <span class="keyword"></span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">           --soc        : <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC</span>; </span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;           <span class="vhdlchar">data</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;           <span class="vhdlchar">data_valid</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC</span>; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;           <span class="vhdlchar">eoc</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC</span>; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;           <span class="vhdlchar">crc</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;           <span class="vhdlchar">crc_valid</span>  <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span> </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;       <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">crc_gen_usb_32to16</span>; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="code" href="classcrc__gen__usb__32to16_1_1behave.html">   49</a></span>&#160;<span class="vhdlkeyword">ARCHITECTURE</span> behave <span class="vhdlkeyword">OF</span> <a class="code" href="classcrc__gen__usb__32to16.html">crc_gen_usb_32to16</a> IS </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">crc_r</span>          <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">crc_c</span>          <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">crc_i</span>          <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">crc_const</span>      <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdllogic">&quot;0000000000000000&quot;</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="vhdlkeyword">BEGIN </span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;          </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="vhdlchar">crc_i</span>    <span class="vhdlchar">&lt;=</span><span class="keyword"> --crc_const <span class="vhdlkeyword">when</span> soc = &#39;1&#39; <span class="vhdlkeyword">else</span></span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="vhdlchar">crc_r</span>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">30</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">16</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">18</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">19</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">20</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">21</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">22</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">24</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">25</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">26</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">27</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">16</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">18</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">19</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">20</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">21</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">22</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">24</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">25</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">26</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">27</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">28</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">28</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">29</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">30</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">16</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">29</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">30</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">16</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">30</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">18</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">19</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">18</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">20</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">19</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">21</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">20</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">22</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">21</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">22</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">24</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">25</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">24</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">26</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">25</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">27</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">26</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">28</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="vhdlchar">crc_c</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">29</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">13</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">30</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">14</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">16</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">18</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">19</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">20</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">21</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">22</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">6</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">23</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">24</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">8</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">11</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">25</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">12</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">data</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">26</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">XOR</span> <span class="vhdlchar">crc_i</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">10</span><span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;crc_gen_process : <span class="vhdlkeyword">PROCESS</span>(clock, reset) </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="vhdlkeyword">BEGIN </span>                                   </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; <span class="vhdlkeyword">IF</span><span class="vhdlchar">(</span><span class="vhdlchar">reset</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span>  </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="vhdlchar">crc_r</span> <span class="vhdlchar">&lt;=</span> <span class="vhdllogic">&quot;0000000000000000&quot;</span> ;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; <span class="vhdlkeyword">ELSIF</span> <span class="vhdlchar">rising_edge</span><span class="vhdlchar">(</span><span class="vhdlchar">clock</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span> </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="vhdlkeyword">IF</span><span class="vhdlchar">(</span><span class="vhdlchar">data_valid</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span> </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;         <span class="vhdlchar">crc_r</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">crc_c</span>; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">IF</span>; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">IF</span>;    </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlkeyword">PROCESS</span> <span class="vhdlchar">crc_gen_process</span>;      </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;crc_valid_gen : <span class="vhdlkeyword">PROCESS</span>(clock, reset) </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="vhdlkeyword">BEGIN </span>                                   </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; <span class="vhdlkeyword">If</span><span class="vhdlchar">(</span><span class="vhdlchar">reset</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span> </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;     <span class="vhdlchar">crc_valid</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; <span class="vhdlkeyword">ELSIF</span> <span class="vhdlchar">rising_edge</span><span class="vhdlchar">(</span><span class="vhdlchar">clock</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span> </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="vhdlkeyword">IF</span><span class="vhdlchar">(</span><span class="vhdlchar">data_valid</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span> <span class="vhdlkeyword">AND</span> <span class="vhdlchar">eoc</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">THEN</span> </div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="vhdlchar">crc_valid</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span>; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="vhdlkeyword">ELSE</span> </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="vhdlchar">crc_valid</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">IF</span>; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">IF</span>;    </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlkeyword">PROCESS</span> <span class="vhdlchar">crc_valid_gen</span>; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="vhdlchar">crc</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">crc_r</span>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">behave</span>;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                      </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:39 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
